---
slug: version_1
title: Version 1.0.0
author: Brendan Nee
author_url: https://github.com/brendannee
author_image_url: https://avatars3.githubusercontent.com/u/96217?s=400&v=4
tags: [sqlite]
---

Nine years after [first publishing `node-gtfs`](https://github.com/BlinkTagInc/node-gtfs/commit/90b1d3a0e93972b0e8754ca1103b25a8cebdfd7e), GTFS-to-HTML is ready for version 1.0.

Version 1.0 of GTFS-to-HTML switches away from using MongoDB to using SQLite3 for the underlying database. It uses Version 2.0 of [node-gtfs](https://github.com/BlinkTagInc/node-gtfs), which made a similar switch in database used.

SQLite makes it easier to query GTFS data in SQL format if needed instead of using the [built-in query methods](https://github.com/BlinkTagInc/node-gtfs#query-methods). See [this query](https://github.com/BlinkTagInc/gtfs-to-html/blob/edaa6327999e8163f79015f2e7b037b9e7344a67/lib/utils.js#L360) as a example of selecting calendar dates while excluding specific service_ids.

The switch to SQLite also resulted in a 66% reduction in HTML generation times.

The breaking changes in GTFS-to-HTML 1.0.0:

* `config.json` accepts a `sqlitePath` instead of a `mongoUrl`.
* `route_color` and `route_text_color` in exported geoJSON now have a # prepended to the hex color. So `#45AA00` instead of `45AA00`.
* The `dataExpireAfterSeconds` config option has been removed.
* The default view pug template in `views/default` has some small improvements. If you are using your own custom template, you may want to include some of these.

[`GTFS-to-GeoJSON`](https://github.com/BlinkTagInc/gtfs-to-geojson) and [`GTFS-to-Chart`](https://github.com/BlinkTagInc/gtfs-to-chart) both have similar breaking changes.

If you are using node-gtfs in your own project, all query methods have breaking changes in version 2.0.0 - see [the documentation](https://github.com/BlinkTagInc/node-gtfs).

Please send feedback on issues you encounter or ideas for improvement by opening a [Github issue](https://github.com/BlinkTagInc/gtfs-to-html/issues). Pull requests are welcome.
